# Auto generated configuration file
# using: 
# Revision: 1.19 
# Source: /local/reps/CMSSW/CMSSW/Configuration/Applications/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/ThirteenTeV/LongLivedChi0ToNuLL_MSquark_1500_MChi_1050_CTau1mm_to_1000mm_TuneCUETP8M1_13TeV_pythia8_cff.py --fileout file:EXO-RunIISummer15GS-00861.root --mc --eventcontent RAWSIM --customise SLHCUpgradeSimulations/Configuration/postLS1Customs.customisePostLS1,Configuration/DataProcessing/Utils.addMonitoring --datatier GEN-SIM --conditions MCRUN2_71_V1::All --beamspot Realistic50ns13TeVCollision --step GEN,SIM --magField 38T_PostLS1 --python_filename /afs/cern.ch/cms/PPD/PdmV/work/McM/submit/EXO-RunIISummer15GS-00861/EXO-RunIISummer15GS-00861_1_cfg.py --no_exec -n 38
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.Geometry.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_PostLS1_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic50ns13TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(38)
)

# Input source
process.source = cms.Source("EmptySource")

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.19 $'),
    annotation = cms.untracked.string('Configuration/GenProduction/python/ThirteenTeV/LongLivedChi0ToNuLL_MSquark_1500_MChi_1050_CTau1mm_to_1000mm_TuneCUETP8M1_13TeV_pythia8_cff.py nevts:38'),
    name = cms.untracked.string('Applications')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('file:EXO-RunIISummer15GS-00861.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'MCRUN2_71_V1::All', '')

process.genParticles = cms.EDProducer("GenParticleProducer",
    saveBarCodes = cms.untracked.bool(True),
    src = cms.InputTag("generator"),
    abortOnUnknownPDGCode = cms.untracked.bool(False)
)


process.genParticlesForFilter = cms.EDProducer("GenParticleProducer",
    saveBarCodes = cms.untracked.bool(True),
    src = cms.InputTag("generator"),
    abortOnUnknownPDGCode = cms.untracked.bool(False)
)


process.chiZeroToLLbarFilter = cms.EDFilter("XtoFFbarFilter",
    src = cms.InputTag("genParticlesForFilter"),
    idMotherY = cms.vint32(),
    idMotherX = cms.vint32(1000022, 1000023, 1000025, 1000035),
    idDaughterF = cms.vint32(11, 13),
    idDaughterG = cms.vint32()
)


process.pairFilterChi4 = cms.EDFilter("MCParticlePairFilter",
    ParticleID1 = cms.untracked.vint32(1000035),
    ParticleID2 = cms.untracked.vint32(1000022, 1000023, 1000025)
)


process.pairFilterChi1 = cms.EDFilter("MCParticlePairFilter",
    ParticleID1 = cms.untracked.vint32(1000022),
    ParticleID2 = cms.untracked.vint32(1000023, 1000025, 1000035)
)


process.pairFilterChi3 = cms.EDFilter("MCParticlePairFilter",
    ParticleID1 = cms.untracked.vint32(1000025),
    ParticleID2 = cms.untracked.vint32(1000022, 1000023, 1000035)
)


process.pairFilterChi2 = cms.EDFilter("MCParticlePairFilter",
    ParticleID1 = cms.untracked.vint32(1000023),
    ParticleID2 = cms.untracked.vint32(1000022, 1000025, 1000035)
)


process.generator = cms.EDFilter("Pythia8GeneratorFilter",
    pythiaPylistVerbosity = cms.untracked.int32(0),
    filterEfficiency = cms.untracked.double(0.1875),
    pythiaHepMCVerbosity = cms.untracked.bool(False),
    SLHATableForPythia8 = cms.string('\n#\n#                              ======================\n#                              | THE SUSYHIT OUTPUT |\n#                              ======================\n#\n#\n#              ------------------------------------------------------\n#              |     This is the output of the SUSY-HIT package     |\n#              |  created by A.Djouadi, M.Muehlleitner and M.Spira. |\n#              |  In case of problems with SUSY-HIT email to        |\n#              |           margarete.muehlleitner@kit.edu           |\n#              |           michael.spira@psi.ch                     |\n#              |           abdelhak.djouadi@cern.ch                 |\n#              ------------------------------------------------------\n#\n#              ------------------------------------------------------\n#              |  SUSY Les Houches Accord - MSSM Spectrum + Decays  |\n#              |              based on the decay programs           |\n#              |                                                    |\n#              |                     SDECAY 1.5                     |\n#              |                                                    |\n#              |  Authors: M.Muhlleitner, A.Djouadi and Y.Mambrini  |\n#              |  Ref.:    Comput.Phys.Commun.168(2005)46           |\n#              |           [hep-ph/0311167]                         |\n#              |                                                    |\n#              |                     HDECAY 3.4                     |\n#              |                                                    |\n#              |  By: A.Djouadi,J.Kalinowski,M.Muhlleitner,M.Spira  |\n#              |  Ref.:    Comput.Phys.Commun.108(1998)56           |\n#              |           [hep-ph/9704448]                         |\n#              |                                                    |\n#              |                                                    |\n#              |  If not stated otherwise all DRbar couplings and   |\n#              |  soft SUSY breaking masses are given at the scale  |\n#              |  Q=  0.46577748E+03\n#              |                                                    |\n#              ------------------------------------------------------\n#\n# This file contains spectra and decay modes calculated by SUSYHIT in ~tomalin/susy_susyhit/\n# with all SUSY masses set high, except for the u,d,s,c squark and all four neutralino masses,\n# and the gluino mass, which are set low by hand. Furthermore, the decay modes and width of the "neutralino1",\n# "neutralino2", "neutralino3" and "neutralino4" are set by hand to allow R-parity violating \n# decays to the chosen final states with the chosen lifetimes. The u,d,s,c squarks given by hand a 100% BR\n# to quark + neutralino.\n#\nBLOCK DCINFO  # Decay Program information\n     1   SDECAY/HDECAY # decay calculator\n     2   1.5  /3.4    # version number\n#\nBLOCK SPINFO  # Spectrum calculator information\n     1   SuSpect     # RGE +Spectrum calculator            \n     2   2.41        # version number                      \n#\nBLOCK MODSEL  # Model selection\n     1     1   # #SUGRA                                            \n#\nBLOCK SMINPUTS  # Standard Model inputs\n         1     1.27934000E+02   # alpha_em^-1(M_Z)^MSbar\n         2     1.16639000E-05   # G_F [GeV^-2]\n         3     1.17200000E-01   # alpha_S(M_Z)^MSbar\n         4     9.11870000E+01   # M_Z pole mass\n         5     4.25000000E+00   # mb(mb)^MSbar\n         6     1.72500000E+02   # mt pole mass\n         7     1.77710000E+00   # mtau pole mass\n#\nBLOCK MINPAR  # Input parameters - minimal models\n         1     1.00000000E+02   # m0                  \n         2     2.50000000E+02   # m_1                 \n         3     1.00000000E+01   # tanbeta(mZ)         \n         4     1.00000000E+00   # sign(mu)            \n         5    -1.00000000E+02   # A0                  \n#\nBLOCK EXTPAR  # Input parameters - non-minimal models\n         0     4.65777483E+02   # EWSB                \n#\nBLOCK MASS  # Mass Spectrum\n# PDG code           mass       particle\n        24     8.04847331E+01   # W+\n        25     1.09932416E+02   # h\n        35     3.94935594E+02   # H\n        36     3.94525488E+02   # A\n        37     4.02953218E+02   # H+\n         5     4.87877839E+00   # b-quark pole mass calculated from mb(mb)_Msbar\n   1000001     1.50000000e+03   # ~d_L\n   2000001     1.50000000e+03   # ~d_R\n   1000002     1.50000000e+03   # ~u_L\n   2000002     1.50000000e+03   # ~u_R\n   1000003     1.50000000e+03   # ~s_L\n   2000003     1.50000000e+03   # ~s_R\n   1000004     1.50000000e+03   # ~c_L\n   2000004     1.50000000e+03   # ~c_R\n   1000005     1.16777573E+05   # ~b_1\n   2000005     1.46086561E+05   # ~b_2\n   1000006     1.99615017E+05   # ~t_1\n   2000006     1.86391641E+05   # ~t_2\n   1000011     2.00774228E+05   # ~e_L\n   2000011     1.42820157E+05   # ~e_R\n   1000012     1.84853985E+05   # ~nu_eL\n   1000013     2.00774228E+05   # ~mu_L\n   2000013     1.42820157E+05   # ~mu_R\n   1000014     1.84853985E+05   # ~nu_muL\n   1000015     1.33342244E+05   # ~tau_1\n   2000015     2.04795115E+05   # ~tau_2\n   1000016     1.83966053E+05   # ~nu_tauL\n   1000021     5.00000000e+03   # ~g\n   1000022     1.05000000e+03   # ~chi_10\n   1000023     1.05000000e+03   # ~chi_20\n   1000025     1.05000000e+03   # ~chi_30\n   1000035     1.05000000e+03   # ~chi_40\n   1000024     1.79671182E+05   # ~chi_1+\n   1000037     3.77983105E+05   # ~chi_2+\n#\nBLOCK NMIX  # Neutralino Mixing Matrix\n  1  1     9.85345167E-01   # N_11\n  1  2    -5.64225409E-02   # N_12\n  1  3     1.51059160E-01   # N_13\n  1  4    -5.56105151E-02   # N_14\n  2  1     1.06123308E-01   # N_21\n  2  2     9.39651214E-01   # N_22\n  2  3    -2.80885422E-01   # N_23\n  2  4     1.64002501E-01   # N_24\n  3  1     6.12835220E-02   # N_31\n  3  2    -9.07288796E-02   # N_32\n  3  3    -6.95178480E-01   # N_33\n  3  4    -7.10450196E-01   # N_34\n  4  1     1.18646854E-01   # N_41\n  4  2    -3.25023636E-01   # N_42\n  4  3    -6.44213777E-01   # N_43\n  4  4     6.82107887E-01   # N_44\n#\nBLOCK UMIX  # Chargino Mixing Matrix U\n  1  1    -9.11420712E-01   # U_11\n  1  2     4.11475741E-01   # U_12\n  2  1     4.11475741E-01   # U_21\n  2  2     9.11420712E-01   # U_22\n#\nBLOCK VMIX  # Chargino Mixing Matrix V\n  1  1    -9.70421546E-01   # V_11\n  1  2     2.41416701E-01   # V_12\n  2  1     2.41416701E-01   # V_21\n  2  2     9.70421546E-01   # V_22\n#\nBLOCK STOPMIX  # Stop Mixing Matrix\n  1  1     5.52988023E-01   # cos(theta_t)\n  1  2     8.33189202E-01   # sin(theta_t)\n  2  1    -8.33189202E-01   # -sin(theta_t)\n  2  2     5.52988023E-01   # cos(theta_t)\n#\nBLOCK SBOTMIX  # Sbottom Mixing Matrix\n  1  1     9.30091013E-01   # cos(theta_b)\n  1  2     3.67329154E-01   # sin(theta_b)\n  2  1    -3.67329154E-01   # -sin(theta_b)\n  2  2     9.30091013E-01   # cos(theta_b)\n#\nBLOCK STAUMIX  # Stau Mixing Matrix\n  1  1     2.84460080E-01   # cos(theta_tau)\n  1  2     9.58687886E-01   # sin(theta_tau)\n  2  1    -9.58687886E-01   # -sin(theta_tau)\n  2  2     2.84460080E-01   # cos(theta_tau)\n#\nBLOCK ALPHA  # Higgs mixing\n          -1.14188002E-01   # Mixing angle in the neutral Higgs boson sector\n#\nBLOCK HMIX Q=  4.65777483E+02  # DRbar Higgs Parameters\n         1     3.52164861E+02   # mu(Q)               \n         2     9.75041102E+00   # tanbeta(Q)          \n         3     2.45014641E+02   # vev(Q)              \n         4     1.62371513E+05   # MA^2(Q)             \n#\nBLOCK GAUGE Q=  4.65777483E+02  # The gauge couplings\n     1     3.60982135E-01   # gprime(Q) DRbar\n     2     6.46351672E-01   # g(Q) DRbar\n     3     1.09632112E+00   # g3(Q) DRbar\n#\nBLOCK AU Q=  4.65777483E+02  # The trilinear couplings\n  1  1    -6.83184382E+02   # A_u(Q) DRbar\n  2  2    -6.83184382E+02   # A_c(Q) DRbar\n  3  3    -5.06144038E+02   # A_t(Q) DRbar\n#\nBLOCK AD Q=  4.65777483E+02  # The trilinear couplings\n  1  1    -8.58985213E+02   # A_d(Q) DRbar\n  2  2    -8.58985213E+02   # A_s(Q) DRbar\n  3  3    -7.96595983E+02   # A_b(Q) DRbar\n#\nBLOCK AE Q=  4.65777483E+02  # The trilinear couplings\n  1  1    -2.53298464E+02   # A_e(Q) DRbar\n  2  2    -2.53298464E+02   # A_mu(Q) DRbar\n  3  3    -2.51542764E+02   # A_tau(Q) DRbar\n#\nBLOCK Yu Q=  4.65777483E+02  # The Yukawa couplings\n  1  1     0.00000000E+00   # y_u(Q) DRbar\n  2  2     0.00000000E+00   # y_c(Q) DRbar\n  3  3     8.78978125E-01   # y_t(Q) DRbar\n#\nBLOCK Yd Q=  4.65777483E+02  # The Yukawa couplings\n  1  1     0.00000000E+00   # y_d(Q) DRbar\n  2  2     0.00000000E+00   # y_s(Q) DRbar\n  3  3     1.39517330E-01   # y_b(Q) DRbar\n#\nBLOCK Ye Q=  4.65777483E+02  # The Yukawa couplings\n  1  1     0.00000000E+00   # y_e(Q) DRbar\n  2  2     0.00000000E+00   # y_mu(Q) DRbar\n  3  3     1.01147257E-01   # y_tau(Q) DRbar\n#\nBLOCK MSOFT Q=  4.65777483E+02  # The soft SUSY breaking masses at the scale Q\n         1     1.01486794E+02   # M_1                 \n         2     1.91565439E+02   # M_2                 \n         3     5.86284400E+02   # M_3                 \n        21     3.23226904E+04   # M^2_Hd              \n        22    -1.24993993E+05   # M^2_Hu              \n        31     1.95443359E+02   # M_eL                \n        32     1.95443359E+02   # M_muL               \n        33     1.94603750E+02   # M_tauL              \n        34     1.35950985E+02   # M_eR                \n        35     1.35950985E+02   # M_muR               \n        36     1.33480599E+02   # M_tauR              \n        41     5.45553618E+02   # M_q1L               \n        42     5.45553618E+02   # M_q2L               \n        43     4.97578078E+02   # M_q3L               \n        44     5.27538927E+02   # M_uR                \n        45     5.27538927E+02   # M_cR                \n        46     4.23429537E+02   # M_tR                \n        47     5.25444117E+02   # M_dR                \n        48     5.25444117E+02   # M_sR                \n        49     5.22139557E+02   # M_bR                \n#\n#\n#\n#                             =================\n#                             |The decay table|\n#                             =================\n#\n# - The QCD corrections to the decays gluino -> squark  + quark\n#                                     squark -> gaugino + quark_prime\n#                                     squark -> squark_prime + Higgs\n#                                     squark -> gluino  + quark\n#   are included.\n#\n# - The multi-body decays for the inos, stops and sbottoms are included.\n#\n# - The loop induced decays for the gluino, neutralinos and stops\n#   are included.\n#\n# - The SUSY decays of the top quark are included.\n#\n#\n#         PDG            Width\nDECAY         6     1.44633943E+00   # top decays\n#          BR         NDA      ID1       ID2\n     1.00000000E+00    2           5        24   # BR(t ->  b    W+)\n#\n#         PDG            Width\nDECAY   1000021     7.60054186E+02   # gluino decays\n#          BR         NDA      ID1       ID2\n     6.25000000E-02    2     1000001        -1   # BR(~g -> ~d_L  db)\n     6.25000000E-02    2    -1000001         1   # BR(~g -> ~d_L* d )\n     6.25000000E-02    2     2000001        -1   # BR(~g -> ~d_R  db)\n     6.25000000E-02    2    -2000001         1   # BR(~g -> ~d_R* d )\n     6.25000000E-02    2     1000002        -2   # BR(~g -> ~u_L  ub)\n     6.25000000E-02    2    -1000002         2   # BR(~g -> ~u_L* u )\n     6.25000000E-02    2     2000002        -2   # BR(~g -> ~u_R  ub)\n     6.25000000E-02    2    -2000002         2   # BR(~g -> ~u_R* u )\n     6.25000000E-02    2     1000003        -3   # BR(~g -> ~s_L  sb)\n     6.25000000E-02    2    -1000003         3   # BR(~g -> ~s_L* s )\n     6.25000000E-02    2     2000003        -3   # BR(~g -> ~s_R  sb)\n     6.25000000E-02    2    -2000003         3   # BR(~g -> ~s_R* s )\n     6.25000000E-02    2     1000004        -4   # BR(~g -> ~c_L  cb)\n     6.25000000E-02    2    -1000004         4   # BR(~g -> ~c_L* c )\n     6.25000000E-02    2     2000004        -4   # BR(~g -> ~c_R  cb)\n     6.25000000E-02    2    -2000004         4   # BR(~g -> ~c_R* c )\n#\n#         PDG            Width\nDECAY   1000006     5.20726800E+08   # stop1 decays\n#          BR         NDA      ID1       ID2\n     6.94407916E-07    2     1000022         6   # BR(~t_1 -> ~chi_10 t )\n     7.54006758E-07    2     1000023         6   # BR(~t_1 -> ~chi_20 t )\n     1.74512689E-06    2     1000025         6   # BR(~t_1 -> ~chi_30 t )\n     9.52699953E-07    2     1000035         6   # BR(~t_1 -> ~chi_40 t )\n     1.56675416E-07    2     1000024         5   # BR(~t_1 -> ~chi_1+ b )\n     1.30596297E-05    2     1000021         6   # BR(~t_1 -> ~g      t )\n     1.23218005E-11    2     1000005        37   # BR(~t_1 -> ~b_1    H+)\n    -1.39984102E-12    2     2000005        37   # BR(~t_1 -> ~b_2    H+)\n     9.48532652E-01    2     1000005        24   # BR(~t_1 -> ~b_1    W+)\n     5.14499859E-02    2     2000005        24   # BR(~t_1 -> ~b_2    W+)\n#\n#         PDG            Width\nDECAY   2000006     7.43034077E+08   # stop2 decays\n#          BR         NDA      ID1       ID2\n     1.17380400E-07    2     1000022         6   # BR(~t_2 -> ~chi_10 t )\n     5.49682993E-07    2     1000023         6   # BR(~t_2 -> ~chi_20 t )\n     9.14655161E-07    2     1000025         6   # BR(~t_2 -> ~chi_30 t )\n     1.36777476E-06    2     1000035         6   # BR(~t_2 -> ~chi_40 t )\n     1.06348847E-08    2     1000024         5   # BR(~t_2 -> ~chi_1+ b )\n     8.72407685E-06    2     1000021         6   # BR(~t_2 -> ~g      t )\n     1.27939288E-12    2     1000005        37   # BR(~t_2 -> ~b_1    H+)\n    -1.03472409E-12    2     2000005        37   # BR(~t_2 -> ~b_2    H+)\n     9.62083919E-01    2     1000005        24   # BR(~t_2 -> ~b_1    W+)\n     3.79043964E-02    2     2000005        24   # BR(~t_2 -> ~b_2    W+)\n#\n#         PDG            Width\nDECAY   1000005     1.45287195E+04   # sbottom1 decays\n#          BR         NDA      ID1       ID2\n     5.66130593E-03    2     1000022         5   # BR(~b_1 -> ~chi_10 b )\n     6.03025772E-02    2     1000023         5   # BR(~b_1 -> ~chi_20 b )\n     1.44120022E-03    2     1000025         5   # BR(~b_1 -> ~chi_30 b )\n     6.36747404E-03    2     1000035         5   # BR(~b_1 -> ~chi_40 b )\n     9.26227443E-01    2     1000021         5   # BR(~b_1 -> ~g      b )\n#\n#         PDG            Width\nDECAY   2000005     7.36323181E+06   # sbottom2 decays\n#          BR         NDA      ID1       ID2\n     1.43513479E-05    2     1000022         5   # BR(~b_2 -> ~chi_10 b )\n     1.14591077E-05    2     1000023         5   # BR(~b_2 -> ~chi_20 b )\n     9.50353235E-06    2     1000025         5   # BR(~b_2 -> ~chi_30 b )\n     1.65018741E-05    2     1000035         5   # BR(~b_2 -> ~chi_40 b )\n     1.56864744E-03    2     1000021         5   # BR(~b_2 -> ~g      b )\n    -2.65633090E-12    2     1000005        25   # BR(~b_2 -> ~b_1    h )\n    -8.87029310E-11    2     1000005        35   # BR(~b_2 -> ~b_1    H )\n    -1.62921553E-10    2     1000005        36   # BR(~b_2 -> ~b_1    A )\n     9.98379537E-01    2     1000005        23   # BR(~b_2 -> ~b_1    Z )\n#\n#         PDG            Width\nDECAY   1000002     4.39789139E+00   # sup_L decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         2   # BR(~u_L -> ~chi_10 u)\n     2.50000000E-01    2     1000023         2   # BR(~u_L -> ~chi_20 u)\n     2.50000000E-01    2     1000025         2   # BR(~u_L -> ~chi_30 u)\n     2.50000000E-01    2     1000035         2   # BR(~u_L -> ~chi_40 u)\n#\n#         PDG            Width\nDECAY   2000002     2.35699810E+00   # sup_R decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         2   # BR(~u_R -> ~chi_10 u)\n     2.50000000E-01    2     1000023         2   # BR(~u_R -> ~chi_20 u)\n     2.50000000E-01    2     1000025         2   # BR(~u_R -> ~chi_30 u)\n     2.50000000E-01    2     1000035         2   # BR(~u_R -> ~chi_40 u)\n#\n#         PDG            Width\nDECAY   1000001     4.39789139E+00   # sdown_L decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         1   # BR(~d_L -> ~chi_10 d)\n     2.50000000E-01    2     1000023         1   # BR(~d_L -> ~chi_20 d)\n     2.50000000E-01    2     1000025         1   # BR(~d_L -> ~chi_30 d)\n     2.50000000E-01    2     1000035         1   # BR(~d_L -> ~chi_40 d)\n#\n#         PDG            Width\nDECAY   2000001     5.89249524E-01   # sdown_R decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         1   # BR(~d_R -> ~chi_10 d)\n     2.50000000E-01    2     1000023         1   # BR(~d_R -> ~chi_20 d)\n     2.50000000E-01    2     1000025         1   # BR(~d_R -> ~chi_30 d)\n     2.50000000E-01    2     1000035         1   # BR(~d_R -> ~chi_40 d)\n#\n#         PDG            Width\nDECAY   1000004     4.39789139E+00   # scharm_L decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         4   # BR(~c_L -> ~chi_10 c)\n     2.50000000E-01    2     1000023         4   # BR(~c_L -> ~chi_20 c)\n     2.50000000E-01    2     1000025         4   # BR(~c_L -> ~chi_30 c)\n     2.50000000E-01    2     1000035         4   # BR(~c_L -> ~chi_40 c)\n#\n#         PDG            Width\nDECAY   2000004     2.35699810E+00   # scharm_R decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         4   # BR(~c_R -> ~chi_10 c)\n     2.50000000E-01    2     1000023         4   # BR(~c_R -> ~chi_20 c)\n     2.50000000E-01    2     1000025         4   # BR(~c_R -> ~chi_30 c)\n     2.50000000E-01    2     1000035         4   # BR(~c_R -> ~chi_40 c)\n#\n#         PDG            Width\nDECAY   1000003     4.39789139E+00   # sstrange_L decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         3   # BR(~s_L -> ~chi_10 s)\n     2.50000000E-01    2     1000023         3   # BR(~s_L -> ~chi_20 s)\n     2.50000000E-01    2     1000025         3   # BR(~s_L -> ~chi_30 s)\n     2.50000000E-01    2     1000035         3   # BR(~s_L -> ~chi_40 s)\n#\n#         PDG            Width\nDECAY   2000003     5.89249524E-01   # sstrange_R decays\n#          BR         NDA      ID1       ID2\n     2.50000000E-01    2     1000022         3   # BR(~s_R -> ~chi_10 s)\n     2.50000000E-01    2     1000023         3   # BR(~s_R -> ~chi_20 s)\n     2.50000000E-01    2     1000025         3   # BR(~s_R -> ~chi_30 s)\n     2.50000000E-01    2     1000035         3   # BR(~s_R -> ~chi_40 s)\n#\n#         PDG            Width\nDECAY   1000011     1.14957407E+03   # selectron_L decays\n#          BR         NDA      ID1       ID2\n     1.77035178E-01    2     1000022        11   # BR(~e_L -> ~chi_10 e-)\n     7.24219211E-01    2     1000023        11   # BR(~e_L -> ~chi_20 e-)\n     2.31709727E-03    2     1000025        11   # BR(~e_L -> ~chi_30 e-)\n     4.85963722E-02    2     1000035        11   # BR(~e_L -> ~chi_40 e-)\n     4.78321411E-02    2    -1000024        12   # BR(~e_L -> ~chi_1- nu_e)\n#\n#         PDG            Width\nDECAY   2000011     7.40491593E+02   # selectron_R decays\n#          BR         NDA      ID1       ID2\n     9.70905097E-01    2     1000022        11   # BR(~e_R -> ~chi_10 e-)\n     1.12621565E-02    2     1000023        11   # BR(~e_R -> ~chi_20 e-)\n     3.75567007E-03    2     1000025        11   # BR(~e_R -> ~chi_30 e-)\n     1.40770760E-02    2     1000035        11   # BR(~e_R -> ~chi_40 e-)\n#\n#         PDG            Width\nDECAY   1000013     1.14957407E+03   # smuon_L decays\n#          BR         NDA      ID1       ID2\n     1.77035178E-01    2     1000022        13   # BR(~mu_L -> ~chi_10 mu-)\n     7.24219211E-01    2     1000023        13   # BR(~mu_L -> ~chi_20 mu-)\n     2.31709727E-03    2     1000025        13   # BR(~mu_L -> ~chi_30 mu-)\n     4.85963722E-02    2     1000035        13   # BR(~mu_L -> ~chi_40 mu-)\n     4.78321411E-02    2    -1000024        14   # BR(~mu_L -> ~chi_1- nu_mu)\n#\n#         PDG            Width\nDECAY   2000013     7.40491593E+02   # smuon_R decays\n#          BR         NDA      ID1       ID2\n     9.70905097E-01    2     1000022        13   # BR(~mu_R -> ~chi_10 mu-)\n     1.12621565E-02    2     1000023        13   # BR(~mu_R -> ~chi_20 mu-)\n     3.75567007E-03    2     1000025        13   # BR(~mu_R -> ~chi_30 mu-)\n     1.40770760E-02    2     1000035        13   # BR(~mu_R -> ~chi_40 mu-)\n#\n#         PDG            Width\nDECAY   1000015     7.21371477E+02   # stau_1 decays\n#          BR         NDA      ID1       ID2\n     8.79723524E-01    2     1000022        15   # BR(~tau_1 -> ~chi_10  tau-)\n     9.78394101E-02    2     1000023        15   # BR(~tau_1 -> ~chi_20  tau-)\n     1.36341837E-02    2     1000025        15   # BR(~tau_1 -> ~chi_30  tau-)\n     8.80288245E-03    2     1000035        15   # BR(~tau_1 -> ~chi_40  tau-)\n#\n#         PDG            Width\nDECAY   2000015     7.64810560E+07   # stau_2 decays\n#          BR         NDA      ID1       ID2\n     3.47470450E-06    2     1000022        15   # BR(~tau_2 -> ~chi_10  tau-)\n     9.92864945E-06    2     1000023        15   # BR(~tau_2 -> ~chi_20  tau-)\n     4.16934434E-07    2     1000025        15   # BR(~tau_2 -> ~chi_30  tau-)\n     1.26535934E-06    2     1000035        15   # BR(~tau_2 -> ~chi_40  tau-)\n     8.63848274E-07    2    -1000024        16   # BR(~tau_2 -> ~chi_1-  nu_tau)\n     1.21539693E-16    2     1000016       -37   # BR(~tau_2 -> ~nu_tauL H-)\n     4.76541501E-01    2     1000016       -24   # BR(~tau_2 -> ~nu_tauL W-)\n     3.62362808E-13    2     1000015        25   # BR(~tau_2 -> ~tau_1   h)\n     1.17492293E-13    2     1000015        35   # BR(~tau_2 -> ~tau_1   H)\n     1.71889290E-13    2     1000015        36   # BR(~tau_2 -> ~tau_1   A)\n     5.23442550E-01    2     1000015        23   # BR(~tau_2 -> ~tau_1   Z)\n#\n#         PDG            Width\nDECAY   1000012     1.01221547E+03   # snu_eL decays\n#          BR         NDA      ID1       ID2\n     2.79372600E-01    2     1000022        12   # BR(~nu_eL -> ~chi_10 nu_e)\n     5.88214477E-01    2     1000023        12   # BR(~nu_eL -> ~chi_20 nu_e)\n     1.18495551E-02    2     1000025        12   # BR(~nu_eL -> ~chi_30 nu_e)\n     1.16194049E-01    2     1000035        12   # BR(~nu_eL -> ~chi_40 nu_e)\n     4.36931919E-03    2     1000024        11   # BR(~nu_eL -> ~chi_1+ e-)\n#\n#         PDG            Width\nDECAY   1000014     1.01221547E+03   # snu_muL decays\n#          BR         NDA      ID1       ID2\n     2.79372600E-01    2     1000022        14   # BR(~nu_muL -> ~chi_10 nu_mu)\n     5.88214477E-01    2     1000023        14   # BR(~nu_muL -> ~chi_20 nu_mu)\n     1.18495551E-02    2     1000025        14   # BR(~nu_muL -> ~chi_30 nu_mu)\n     1.16194049E-01    2     1000035        14   # BR(~nu_muL -> ~chi_40 nu_mu)\n     4.36931919E-03    2     1000024        13   # BR(~nu_muL -> ~chi_1+ mu-)\n#\n#         PDG            Width\nDECAY   1000016     3.45589203E+07   # snu_tauL decays\n#          BR         NDA      ID1       ID2\n     8.14339470E-06    2     1000022        16   # BR(~nu_tauL -> ~chi_10 nu_tau)\n     1.71457854E-05    2     1000023        16   # BR(~nu_tauL -> ~chi_20 nu_tau)\n     3.45401102E-07    2     1000025        16   # BR(~nu_tauL -> ~chi_30 nu_tau)\n     3.38692486E-06    2     1000035        16   # BR(~nu_tauL -> ~chi_40 nu_tau)\n     8.91121489E-08    2     1000024        15   # BR(~nu_tauL -> ~chi_1+ tau-)\n     7.73336712E-13    2    -1000015       -37   # BR(~nu_tauL -> ~tau_1+ H-)\n     9.99970889E-01    2    -1000015       -24   # BR(~nu_tauL -> ~tau_1+ W-)\n#\n#         PDG            Width\nDECAY   1000024     7.01833737E+09   # chargino1+ decays\n#          BR         NDA      ID1       ID2\n     2.90894156E-07    2     1000002        -1   # BR(~chi_1+ -> ~u_L     db)\n     2.56597205E-07    2    -1000001         2   # BR(~chi_1+ -> ~d_L*    u )\n     2.90894156E-07    2     1000004        -3   # BR(~chi_1+ -> ~c_L     sb)\n     2.56597205E-07    2    -1000003         4   # BR(~chi_1+ -> ~s_L*    c )\n     1.08970890E-07    2    -1000005         6   # BR(~chi_1+ -> ~b_1*    t )\n     2.66850233E-09    2    -2000005         6   # BR(~chi_1+ -> ~b_2*    t )\n     2.21204331E-09    2    -1000015        16   # BR(~chi_1+ -> ~tau_1+  nu_tau)\n     7.01106740E-03    2     1000022        24   # BR(~chi_1+ -> ~chi_10  W+)\n     9.34913437E-01    2     1000023        24   # BR(~chi_1+ -> ~chi_20  W+)\n     3.08104751E-02    2     1000025        24   # BR(~chi_1+ -> ~chi_30  W+)\n     2.72637115E-02    2     1000035        24   # BR(~chi_1+ -> ~chi_40  W+)\n     8.35493242E-09    2     1000022        37   # BR(~chi_1+ -> ~chi_10  H+)\n     1.26441931E-10    2     1000023        37   # BR(~chi_1+ -> ~chi_20  H+)\n     4.50124336E-08    2     1000025        37   # BR(~chi_1+ -> ~chi_30  H+)\n     4.67335464E-08    2     1000035        37   # BR(~chi_1+ -> ~chi_40  H+)\n#\n#         PDG            Width\nDECAY   1000037     3.93890988E+10   # chargino2+ decays\n#          BR         NDA      ID1       ID2\n     6.74883626E-09    2     1000002        -1   # BR(~chi_2+ -> ~u_L     db)\n     1.96057175E-08    2    -1000001         2   # BR(~chi_2+ -> ~d_L*    u )\n     6.74883626E-09    2     1000004        -3   # BR(~chi_2+ -> ~c_L     sb)\n     1.96057175E-08    2    -1000003         4   # BR(~chi_2+ -> ~s_L*    c )\n     1.15937825E-07    2     1000006        -5   # BR(~chi_2+ -> ~t_1     bb)\n     1.19037282E-07    2     2000006        -5   # BR(~chi_2+ -> ~t_2     bb)\n     1.11588460E-07    2    -1000005         6   # BR(~chi_2+ -> ~b_1*    t )\n     1.44625833E-08    2    -2000005         6   # BR(~chi_2+ -> ~b_2*    t )\n     1.34536540E-09    2     1000012       -11   # BR(~chi_2+ -> ~nu_eL   e+  )\n     1.34536540E-09    2     1000014       -13   # BR(~chi_2+ -> ~nu_muL  mu+ )\n     1.82588282E-09    2     1000016       -15   # BR(~chi_2+ -> ~nu_tau1 tau+)\n     3.47934204E-09    2    -1000011        12   # BR(~chi_2+ -> ~e_L+    nu_e)\n     3.47934204E-09    2    -1000013        14   # BR(~chi_2+ -> ~mu_L+   nu_mu)\n     1.18484354E-11    2    -1000015        16   # BR(~chi_2+ -> ~tau_1+  nu_tau)\n     3.76671403E-09    2    -2000015        16   # BR(~chi_2+ -> ~tau_2+  nu_tau)\n     2.03789007E-02    2     1000024        23   # BR(~chi_2+ -> ~chi_1+  Z )\n     5.36373400E-03    2     1000022        24   # BR(~chi_2+ -> ~chi_10  W+)\n     4.86793289E-02    2     1000023        24   # BR(~chi_2+ -> ~chi_20  W+)\n     3.97860738E-01    2     1000025        24   # BR(~chi_2+ -> ~chi_30  W+)\n     5.27716802E-01    2     1000035        24   # BR(~chi_2+ -> ~chi_40  W+)\n     1.42885308E-08    2     1000024        25   # BR(~chi_2+ -> ~chi_1+  h )\n     1.05312175E-08    2     1000024        35   # BR(~chi_2+ -> ~chi_1+  H )\n     1.45322715E-08    2     1000024        36   # BR(~chi_2+ -> ~chi_1+  A )\n     2.63246430E-09    2     1000022        37   # BR(~chi_2+ -> ~chi_10  H+)\n     2.29697208E-08    2     1000023        37   # BR(~chi_2+ -> ~chi_20  H+)\n     2.47791857E-09    2     1000025        37   # BR(~chi_2+ -> ~chi_30  H+)\n     3.81515982E-10    2     1000035        37   # BR(~chi_2+ -> ~chi_40  H+)\n#\n# These are edited by hand, allowing for R parity violating decays.\n# With lambda_122 and lambda_121 equal and non-zero, all the decay modes below would be allowed.\n# Each leptonic decay would be have a 12.5% BR, but we choose to have equal BR to 2*mu, 2*e and e+mu \n# final states. In addition, we then halve the total leptonic decay branching ratio, and force\n# the remaining neutralinos to decay to q qbar nu\n#\n#         PDG            Width\nDECAY   1000022      1.97812500e-13  # neutralino1 decays\n     4.15000000E-02    3         -12       -13       11   # BR(~chi_10 --> nu_ebar mu+   e-)  \n     4.15000000E-02    3          12        13      -11   # BR(~chi_10 --> nu_e    mu-   e+) \n     8.35000000E-02    3         -12       -13       13   # BR(~chi_10 --> nu_ebar mu+   mu-)  \n     8.35000000E-02    3          12        13      -13   # BR(~chi_10 --> nu_e    mu-   mu+) \n     8.35000000E-02    3         -14       -11       11   # BR(~chi_10 --> nu_mubar e+   e-)  \n     8.35000000E-02    3          14        11      -11   # BR(~chi_10 --> nu_mu    e-   e+) \n     4.15000000E-02    3         -14       -11       13   # BR(~chi_10 --> nu_mubar e+   mu-)  \n     4.15000000E-02    3          14        11      -13   # BR(~chi_10 --> nu_mu    e-   mu+)\n     2.50000000E-01    3           2         1        1   # BR(~chi_10 --> u        d    d)\n     2.50000000E-01    3          -2        -1       -1   # BR(~chi_10 --> ubar     dbar dbar)\n#\n#         PDG            Width\nDECAY   1000023     1.97812500e-14   # neutralino2 decays\n#          BR         NDA      ID1       ID2\n     4.15000000E-02    3         -12       -13       11   # BR(~chi_20 --> nu_ebar mu+   e-)  \n     4.15000000E-02    3          12        13      -11   # BR(~chi_20 --> nu_e    mu-   e+) \n     8.35000000E-02    3         -12       -13       13   # BR(~chi_20 --> nu_ebar mu+   mu-)  \n     8.35000000E-02    3          12        13      -13   # BR(~chi_20 --> nu_e    mu-   mu+) \n     8.35000000E-02    3         -14       -11       11   # BR(~chi_20 --> nu_mubar e+   e-)  \n     8.35000000E-02    3          14        11      -11   # BR(~chi_20 --> nu_mu    e-   e+) \n     4.15000000E-02    3         -14       -11       13   # BR(~chi_20 --> nu_mubar e+   mu-)  \n     4.15000000E-02    3          14        11      -13   # BR(~chi_20 --> nu_mu    e-   mu+)\n     2.50000000E-01    3           2         1        1   # BR(~chi_20 --> u        d    d)\n     2.50000000E-01    3          -2        -1       -1   # BR(~chi_20 --> ubar     dbar dbar)\n#\n#         PDG            Width\nDECAY   1000025     1.97812500e-15   # neutralino3 decays\n#          BR         NDA      ID1       ID2\n     4.15000000E-02    3         -12       -13       11   # BR(~chi_30 --> nu_ebar mu+   e-)  \n     4.15000000E-02    3          12        13      -11   # BR(~chi_30 --> nu_e    mu-   e+) \n     8.35000000E-02    3         -12       -13       13   # BR(~chi_30 --> nu_ebar mu+   mu-)  \n     8.35000000E-02    3          12        13      -13   # BR(~chi_30 --> nu_e    mu-   mu+) \n     8.35000000E-02    3         -14       -11       11   # BR(~chi_30 --> nu_mubar e+   e-)  \n     8.35000000E-02    3          14        11      -11   # BR(~chi_30 --> nu_mu    e-   e+) \n     4.15000000E-02    3         -14       -11       13   # BR(~chi_30 --> nu_mubar e+   mu-)  \n     4.15000000E-02    3          14        11      -13   # BR(~chi_30 --> nu_mu    e-   mu+)\n     2.50000000E-01    3           2         1        1   # BR(~chi_30 --> u        d    d)\n     2.50000000E-01    3          -2        -1       -1   # BR(~chi_30 --> ubar     dbar dbar)\n#\n#         PDG            Width\nDECAY   1000035     1.97812500e-16   # neutralino4 decays\n#          BR         NDA      ID1       ID2\n     4.15000000E-02    3         -12       -13       11   # BR(~chi_40 --> nu_ebar mu+   e-)  \n     4.15000000E-02    3          12        13      -11   # BR(~chi_40 --> nu_e    mu-   e+) \n     8.35000000E-02    3         -12       -13       13   # BR(~chi_40 --> nu_ebar mu+   mu-)  \n     8.35000000E-02    3          12        13      -13   # BR(~chi_40 --> nu_e    mu-   mu+) \n     8.35000000E-02    3         -14       -11       11   # BR(~chi_40 --> nu_mubar e+   e-)  \n     8.35000000E-02    3          14        11      -11   # BR(~chi_40 --> nu_mu    e-   e+) \n     4.15000000E-02    3         -14       -11       13   # BR(~chi_40 --> nu_mubar e+   mu-)  \n     4.15000000E-02    3          14        11      -13   # BR(~chi_40 --> nu_mu    e-   mu+)\n     2.50000000E-01    3           2         1        1   # BR(~chi_40 --> u        d    d)\n     2.50000000E-01    3          -2        -1       -1   # BR(~chi_40 --> ubar     dbar dbar)\n#\n#         PDG            Width\nDECAY        25     4.37072897E-02   # h decays\n#          BR         NDA      ID1       ID2\n    -8.48956100E-04    2           5        -5   # BR(h -> b       bb     )\n     6.49196146E-03    2         -15        15   # BR(h -> tau+    tau-   )\n     2.29847114E-05    2         -13        13   # BR(h -> mu+     mu-    )\n     4.98236650E-05    2           3        -3   # BR(h -> s       sb     )\n     1.74013922E-03    2           4        -4   # BR(h -> c       cb     )\n     4.24426486E-03    2          21        21   # BR(h -> g       g      )\n     1.30150434E-04    2          22        22   # BR(h -> gam     gam    )\n     2.51876211E-05    2          22        23   # BR(h -> Z       gam    )\n     2.91783758E-03    2          24       -24   # BR(h -> W+      W-     )\n     2.72932971E-04    2          23        23   # BR(h -> Z       Z      )\n     1.09439297E-01    2     1000023   1000023   # BR(h -> ~chi_20 ~chi_20)\n     1.09439297E-01    2     1000025   1000025   # BR(h -> ~chi_30 ~chi_30)\n     1.09439297E-01    2     1000035   1000035   # BR(h -> ~chi_40 ~chi_40)\n     2.18878594E-01    2     1000023   1000025   # BR(h -> ~chi_20 ~chi_30)\n     2.18878594E-01    2     1000023   1000035   # BR(h -> ~chi_20 ~chi_40)\n     2.18878594E-01    2     1000025   1000035   # BR(h -> ~chi_30 ~chi_40)\n#\n#         PDG            Width\nDECAY        35     2.84187547E-01   # H decays\n#          BR         NDA      ID1       ID2\n    -2.33594670E-03    2           5        -5   # BR(H -> b       bb     )\n     2.73102816E-01    2         -15        15   # BR(H -> tau+    tau-   )\n     9.65523813E-04    2         -13        13   # BR(H -> mu+     mu-    )\n     1.60807869E-03    2           3        -3   # BR(H -> s       sb     )\n     9.94771297E-06    2           4        -4   # BR(H -> c       cb     )\n     1.77882571E-01    2           6        -6   # BR(H -> t       tb     )\n     2.68203727E-03    2          21        21   # BR(H -> g       g      )\n     3.98544353E-06    2          22        22   # BR(H -> gam     gam    )\n     1.37343122E-06    2          23        22   # BR(H -> Z       gam    )\n     7.97367629E-03    2          24       -24   # BR(H -> W+      W-     )\n     3.71979823E-03    2          23        23   # BR(H -> Z       Z      )\n     3.65976272E-02    2          25        25   # BR(H -> h       h      )\n     2.38721161E-20    2          36        36   # BR(H -> A       A      )\n     4.40168535E-14    2          23        36   # BR(H -> Z       A      )\n     1.63370566E-01    2     1000022   1000022   # BR(H -> ~chi_10 ~chi_10)\n     2.61257666E-02    2     1000023   1000023   # BR(H -> ~chi_20 ~chi_20)\n     2.61257666E-02    2     1000025   1000025   # BR(H -> ~chi_30 ~chi_30)\n     2.61257666E-02    2     1000035   1000035   # BR(H -> ~chi_40 ~chi_40)\n     3.30953487E-02    2     1000022   1000023   # BR(H -> ~chi_10 ~chi_20)\n     3.30953487E-02    2     1000022   1000025   # BR(H -> ~chi_10 ~chi_30)\n     3.30953487E-02    2     1000022   1000035   # BR(H -> ~chi_10 ~chi_40)\n     5.22515333E-02    2     1000023   1000025   # BR(H -> ~chi_20 ~chi_30)\n     5.22515333E-02    2     1000023   1000035   # BR(H -> ~chi_20 ~chi_40)\n     5.22515333E-02    2     1000025   1000035   # BR(H -> ~chi_30 ~chi_40)\n#\n#         PDG            Width\nDECAY        36     4.28802674E-01   # A decays\n#          BR         NDA      ID1       ID2\n    -1.55405765E-03    2           5        -5   # BR(A -> b       bb     )\n     1.81296101E-01    2         -15        15   # BR(A -> tau+    tau-   )\n     6.40899983E-04    2         -13        13   # BR(A -> mu+     mu-    )\n     1.06839001E-03    2           3        -3   # BR(A -> s       sb     )\n     5.32911397E-06    2           4        -4   # BR(A -> c       cb     )\n     3.51193321E-01    2           6        -6   # BR(A -> t       tb     )\n     1.70530600E-03    2          21        21   # BR(A -> g       g      )\n     5.57854613E-06    2          22        22   # BR(A -> gam     gam    )\n     1.09623588E-06    2          23        22   # BR(A -> Z       gam    )\n     4.28392098E-03    2          23        25   # BR(A -> Z       h      )\n     3.93439429E-01    2     1000022   1000022   # BR(A -> ~chi_10 ~chi_10)\n     7.30805342E-03    2     1000023   1000023   # BR(A -> ~chi_20 ~chi_20)\n     7.30805342E-03    2     1000025   1000025   # BR(A -> ~chi_30 ~chi_30)\n     7.30805342E-03    2     1000035   1000035   # BR(A -> ~chi_40 ~chi_40)\n     7.14068293E-04    2     1000022   1000023   # BR(A -> ~chi_10 ~chi_20)\n     7.14068293E-04    2     1000022   1000025   # BR(A -> ~chi_10 ~chi_30)\n     7.14068293E-04    2     1000022   1000035   # BR(A -> ~chi_10 ~chi_40)\n     1.46161068E-02    2     1000023   1000025   # BR(A -> ~chi_20 ~chi_30)\n     1.46161068E-02    2     1000023   1000035   # BR(A -> ~chi_20 ~chi_40)\n     1.46161068E-02    2     1000025   1000035   # BR(A -> ~chi_30 ~chi_40)\n#\n#         PDG            Width\nDECAY        37     7.39768709E-01   # H+ decays\n#          BR         NDA      ID1       ID2\n     1.29309542E-03    2           4        -5   # BR(H+ -> c       bb     )\n     1.07332262E-01    2         -15        16   # BR(H+ -> tau+    nu_tau )\n     3.79429727E-04    2         -13        14   # BR(H+ -> mu+     nu_mu  )\n     8.27534994E-06    2           2        -5   # BR(H+ -> u       bb     )\n     2.99043681E-05    2           2        -3   # BR(H+ -> u       sb     )\n     6.18051235E-04    2           4        -3   # BR(H+ -> c       sb     )\n     8.87507918E-01    2           6        -5   # BR(H+ -> t       bb     )\n     2.83098990E-03    2          24        25   # BR(H+ -> W+      h      )\n     7.37617799E-08    2          24        36   # BR(H+ -> W+      A      )\n'),
    comEnergy = cms.double(13000),
    crossSection = cms.untracked.double(0.002673),
    maxEventsToPrint = cms.untracked.int32(1000),
    PythiaParameters = cms.PSet(
        pythia8CommonSettings = cms.vstring('Tune:preferLHAPDF = 2', 
            'Main:timesAllowErrors = 10000', 
            'Check:epTolErr = 0.01', 
            'Beams:setProductionScalesFromLHEF = off', 
            'SLHA:keepSM = on', 
            'SLHA:minMassSM = 1000.', 
            'ParticleDecays:limitTau0 = on', 
            'ParticleDecays:tau0Max = 10', 
            'ParticleDecays:allowPhotonRadiation = on'),
        pythia8CUEP8M1Settings = cms.vstring('Tune:pp 14', 
            'Tune:ee 7', 
            'MultipartonInteractions:pT0Ref=2.4024', 
            'MultipartonInteractions:ecmPow=0.25208', 
            'MultipartonInteractions:expPow=1.6'),
        processParameters = cms.vstring('SUSY:all = off', 
            'SUSY:gg2squarkantisquark  = on', 
            'SUSY:qqbar2squarkantisquark= on', 
            'SUSY:qq2squarksquark = on', 
            '1000022:tau0 = 1.0', 
            '1000023:tau0 = 10.0', 
            '1000025:tau0 = 100.0', 
            '1000035:tau0 = 100.0'),
        parameterSets = cms.vstring('pythia8CommonSettings', 
            'pythia8CUEP8M1Settings', 
            'processParameters')
    )
)


process.XtoFFbarFilter = cms.EDFilter("XtoFFbarFilter",
    src = cms.InputTag("genParticles"),
    idMotherY = cms.vint32(6000111, 6000112, 6000113),
    idMotherX = cms.vint32(6000111, 6000112, 6000113),
    idDaughterF = cms.vint32(1, 2, 3, 4, 5, 
        6, 11, 13, 15),
    idDaughterG = cms.vint32(1, 2, 3, 4, 5, 
        6, 11, 13, 15)
)


process.pairFilterSequence = cms.Sequence(~process.pairFilterChi1+~process.pairFilterChi2+~process.pairFilterChi3+~process.pairFilterChi4)

process.ProductionFilterSequence = cms.Sequence(process.generator+process.pairFilterSequence+process.genParticlesForFilter+process.chiZeroToLLbarFilter)

# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.ProductionFilterSequence * getattr(process,path)._seq 

# customisation of the process.

# Automatic addition of the customisation function from Configuration.DataProcessing.Utils
from Configuration.DataProcessing.Utils import addMonitoring 

#call to customisation function addMonitoring imported from Configuration.DataProcessing.Utils
process = addMonitoring(process)

# Automatic addition of the customisation function from SLHCUpgradeSimulations.Configuration.postLS1Customs
from SLHCUpgradeSimulations.Configuration.postLS1Customs import customisePostLS1 

#call to customisation function customisePostLS1 imported from SLHCUpgradeSimulations.Configuration.postLS1Customs
process = customisePostLS1(process)

# End of customisation functions
